Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Siebel EAI API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.siebeleaiadapter.alerts
Class SiebelEAIAlertCodes

    java.lang.Object
      com.stc.connector.siebeleaiadapter.alerts.SiebelEAIAlertCodes

    public class SiebelEAIAlertCodes

extends java.lang.Object

Field Summary
`static java.lang.String` | `SIEBELEAIEWAY_CONNECTION_FAILED` SIEBELEAI eWay HTTP post related fail alerts
`static java.lang.String` | `SIEBELEAIEWAY_LOGIN_FAILED` SIEBELEAI eWay receive fail alert
`static java.lang.String` | `SIEBELEAIEWAY_LOGOFF_FAILED` SIEBELEAI eWay check email fail alert
`static java.lang.String` | `SIEBELEAIEWAY_POSTFORM_FAILED` SIEBELEAI eWay send fail alert
`static java.lang.String` | `SIEBELEAIEWAY_PROCESS_REQUEST_FAILED` SIEBELEAI eWay process-request fail alert
`static java.lang.String` | `SIEBELEAIEWAY_RUNNING` SIEBELEAI eWay running status code.
`static java.lang.String` | `SIEBELEAIEWAY_STARTED` SIEBELEAI eWay started status code.
`static java.lang.String` | `SIEBELEAIEWAY_STOPPED` SIEBELEAI eWay stopped status code.
`static java.lang.String` | `SIEBELEAIEWAY_STOPPING` SIEBELEAI eWay stopping status code.
`static java.lang.String` | `SIEBELEAIEWAY_SUSPENDED` SIEBELEAI eWay suspended status code.
`static java.lang.String` | `SIEBELEAIEWAY_SUSPENDING` SIEBELEAI eWay suspending status code.
`static java.lang.String` | `SIEBELEAIEWAY_URL_FAILED` SIEBELEAI eWay invalid URL fail alert
`static java.lang.String` | `SIEBELEAIWAY_POST_FAILED` SIEBELEAI eWay POST fail alert

Constructor Summary
`SiebelEAIAlertCodes()`

Method Summary
`java.lang.String` | `getMapping(java.lang.String key)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SIEBELEAIEWAY_STARTED

    public static final java.lang.String SIEBELEAIEWAY_STARTED

  SIEBELEAI eWay started status code.

  See Also:
    Constant Field Values

### SIEBELEAIEWAY_RUNNING

    public static final java.lang.String SIEBELEAIEWAY_RUNNING

  SIEBELEAI eWay running status code.

  See Also:
    Constant Field Values

### SIEBELEAIEWAY_STOPPING

    public static final java.lang.String SIEBELEAIEWAY_STOPPING

  SIEBELEAI eWay stopping status code.

  See Also:
    Constant Field Values

### SIEBELEAIEWAY_STOPPED

    public static final java.lang.String SIEBELEAIEWAY_STOPPED

  SIEBELEAI eWay stopped status code.

  See Also:
    Constant Field Values

### SIEBELEAIEWAY_SUSPENDING

    public static final java.lang.String SIEBELEAIEWAY_SUSPENDING

  SIEBELEAI eWay suspending status code.

  See Also:
    Constant Field Values

### SIEBELEAIEWAY_SUSPENDED

    public static final java.lang.String SIEBELEAIEWAY_SUSPENDED

  SIEBELEAI eWay suspended status code.

  See Also:
    Constant Field Values

### SIEBELEAIEWAY_POSTFORM_FAILED

    public static final java.lang.String SIEBELEAIEWAY_POSTFORM_FAILED

  SIEBELEAI eWay send fail alert

  See Also:
    Constant Field Values

### SIEBELEAIEWAY_LOGIN_FAILED

    public static final java.lang.String SIEBELEAIEWAY_LOGIN_FAILED

  SIEBELEAI eWay receive fail alert

  See Also:
    Constant Field Values

### SIEBELEAIEWAY_LOGOFF_FAILED

    public static final java.lang.String SIEBELEAIEWAY_LOGOFF_FAILED

  SIEBELEAI eWay check email fail alert

  See Also:
    Constant Field Values

### SIEBELEAIEWAY_PROCESS_REQUEST_FAILED

    public static final java.lang.String SIEBELEAIEWAY_PROCESS_REQUEST_FAILED

  SIEBELEAI eWay process-request fail alert

  See Also:
    Constant Field Values

### SIEBELEAIEWAY_CONNECTION_FAILED

    public static final java.lang.String SIEBELEAIEWAY_CONNECTION_FAILED

  SIEBELEAI eWay HTTP post related fail alerts

  See Also:
    Constant Field Values

### SIEBELEAIEWAY_URL_FAILED

    public static final java.lang.String SIEBELEAIEWAY_URL_FAILED

  SIEBELEAI eWay invalid URL fail alert

  See Also:
    Constant Field Values

### SIEBELEAIWAY_POST_FAILED

    public static final java.lang.String SIEBELEAIWAY_POST_FAILED

  SIEBELEAI eWay POST fail alert

  See Also:
    Constant Field Values

Constructor Detail

### SiebelEAIAlertCodes

    public SiebelEAIAlertCodes()

Method Detail

### getMapping

    public java.lang.String getMapping(java.lang.String key)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Siebel EAI API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.